/*
 * Copyright 2018 European Commission
 *
 * Licensed under the EUPL, Version 1.2 or – as soon they will be approved by the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 *     https://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and limitations under the Licence.
 */
package eu.europa.ec.leos.annotate.model.web.annotation;

import java.util.List;
import java.util.Objects;

public class JsonAnnotationPermissions {

    /**
     * Class representing the structure received by the hypothesis client for permissions on an annotation 
     */
    
    private List<String> read, admin, update, delete;

    // -------------------------------------
    // Getters & setters
    // -------------------------------------
    
    public List<String> getAdmin() {
        return admin;
    }

    public void setAdmin(List<String> admin) {
        this.admin = admin;
    }

    public List<String> getRead() {
        return read;
    }

    public void setRead(List<String> read) {
        this.read = read;
    }

    public List<String> getDelete() {
        return delete;
    }

    public void setDelete(List<String> delete) {
        this.delete = delete;
    }

    public List<String> getUpdate() {
        return update;
    }

    public void setUpdate(List<String> update) {
        this.update = update;
    }

    // -------------------------------------
    // equals and hashCode
    // -------------------------------------
    
    @Override
    public int hashCode() {
        return Objects.hash(read, admin, update, delete);
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        final JsonAnnotationPermissions other = (JsonAnnotationPermissions) obj;
        return Objects.equals(this.read, other.read) &&
                Objects.equals(this.admin, other.admin) &&
                Objects.equals(this.update, other.update) &&
                Objects.equals(this.delete, other.delete);
    }
}
